Append one episode revision (never If-Match)
POST
/v1/projects/{projectId}/episodes/{episodeId}/revisionscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/episodes/{episodeId}/revisions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"expectedHeadRevisionId": "00000000-0000-0000-0000-000000000000",
"startNs": 0,
"endNs": 0,
"task": {},
"outcome": "string",
"subtasks": [
{}
],
"tags": [
"string"
],
"attributes": {},
"splitTag": "string",
"excluded": true,
"deleted": true,
"comment": "string",
"commentAtNs": 0,
"annotationJobId": "00000000-0000-0000-0000-000000000000"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- episodeIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- expectedHeadRevisionIdstring (uuid)必填
- startNsnumber
- endNsnumber
- taskobject | null
- outcomestring | null
- subtasksarray<object>
- tagsarray<string>
- attributesobject
- splitTagstring | null
- excludedboolean
- deletedboolean
- commentstring
- commentAtNsnumber
- annotationJobIdstring (uuid)
响应
Success
- dataobject必填
- idstring必填
- episodeIdstring必填
- parentRevisionIdstring | null必填
- startNsnumber必填
- endNsnumber必填
- durationNsnumber必填
- taskobject | null必填
- outcomestring | null必填
- subtaskCountnumber必填
- subtasksarray<object>必填
- tagsarray<string>必填
- attributesobject必填
- splitTagstring | null必填
- excludedone of必填
- deletedone of必填
- statestring必填
- sourcestring必填
- confidencenumber | null必填
- actorUserIdstring | null必填
- commentstring | null必填
- commentAtNsnumber | null必填
- createdAtstring必填
响应示例
{
"data": {
"id": "string",
"episodeId": "string",
"parentRevisionId": "string",
"startNs": 0,
"endNs": 0,
"durationNs": 0,
"task": {
"en": "string",
"zh": "string"
},
"outcome": "string",
"subtaskCount": 0,
"subtasks": [
{
"startNs": 0,
"endNs": 0,
"description": {
"en": "string",
"zh": "string"
},
"skillTermId": "string",
"relevance": "optional",
"outcome": "success"
}
],
"tags": [
"string"
],
"attributes": {},
"splitTag": "string",
"excluded": false,
"deleted": false,
"state": "string",
"source": "string",
"confidence": 0,
"actorUserId": "string",
"comment": "string",
"commentAtNs": 0,
"createdAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1